Name: wwwoffle
%define version 2.4d
Version: %{version}
Release: 1
Group: Networking/Daemons
Source: http://www.gedanken.freeserve.co.uk/download-wwwoffle/wwwoffle-2.4d.tgz
Source1: wwwoffle-more-scripts.tgz
# Patch0: http://www.gedanken.demon.co.uk/wwwoffle/version-2.4/wwwoffle-2.4-2.4a.diff.gz
# Patch1: wwwoffle-redhat-init.patch
Patch2: wwwoffle-2.4-config.patch
Copyright: GPL
# Buildroot: /var/tmp/wwwoffle-root
# Requires: ???
Prereq: /sbin/chkconfig
# Author: Andrew M. Bishop <amb@gedanken.demon.co.uk>
Packager: Gianpaolo Macario <gianpi@geocities.com>
URL: http://www.gedanken.demon.co.uk/wwwoffle/
Summary: WWW Offline Explorer - Caching Web Proxy Server
Summary(it): WWW Offline Explorer - Proxy Server per connessioni via modem

%description
A proxy HTTP/FTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability
  to follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
  individually or recursively.
- All options controlled using a simple configuration file with a
  web page to edit it.
  
%description -l it
Un proxy server HTTP/FTP per computer con accesso ad Internet via modem.
- Memorizza le pagine navigate durante il collegamento per consentire
  una successiva consultazione anche a modem inattivo.
- Permette la consultazione di pagine senza connessione ad Internet,
  con la possibilita' di seguire i link e annotare le pagine
  per un successivo scaricamento.
- Possibilita' di caricare pagine specificate in modo automatico.
- Indici multipli delle pagine memorizzate per una facile consultazione.
- Interazione tramite linea di comando o interattiva via browser
  con possibilita' di indicare pagine singoli o in modo ricorsivo
  a partire dalla pagina scelta.
- Tutte le opzioni sono controllate da un semplice file di configurazione
  che puo' essere modificato direttamente dal browser.

%changelog
* Wed May 12 1999 Gianpaolo Macario <gianpi@geocities.com>
- Upgraded to wwwoffle-2.4d
- Added post/preun scripts in /etc/cron.daily:
  wwwoffle-htdig-full, wwwoffle-htdig-purge

* Fri Feb 12 1999 Gianpaolo Macario <gianpi@geocities.com>
- Upgraded to wwwoffle-2.4b
- Added files in %doc
- Removed rc*.d from %install, %files

* Thu Jan 6 1999 Gianpaolo Macario <gianpi@geocities.com>
- Upgraded to wwwoffle-2.4a
- Added BuildRoot
- Added kill script at runlevel 2
- Added support for chkconfig
- Synced chkconfig with files

* Tue Jan 4 1999 Gianpaolo Macario <gianpi@geocities.com>
- Upgraded to wwwoffle-2.4
- Translated summary and description into Italian.

%prep
%setup
%setup -T -D -a 1
# %setup -b wwwoffle-${version}
# %patch0
# %patch1
%patch2
# mkdir -p lang-it

%build
make all LANG=

%install
# for I in /usr/local/sbin /var/spool/wwwoffle; do
#    mkdir -p $RPM_BUILD_ROOT/$I
# done
make install LANG=
install -m755 upgrade-cache $RPM_BUILD_ROOT/usr/local/sbin/upgrade-cache
install -m755 contrib/redhat-init $RPM_BUILD_ROOT/etc/rc.d/init.d/wwwoffled

%clean
# TBD: ??? rm -rf $RPM_BUILD_ROOT

%define htscripts_dir /var/spool/wwwoffle/html/htdig/scripts

%post
/sbin/chkconfig --add wwwoffled
ln -sf %{htscripts_dir}/wwwoffle-htdig-full  /etc/cron.daily
ln -sf %{htscripts_dir}/wwwoffle-htdig-purge /etc/cron.daily

%preun
rm -f /etc/cron.daily/wwwoffle-htdig-full
rm -f /etc/cron.daily/wwwoffle-htdig-purge
if [ $1 = 0 ]; then
    /sbin/chkconfig --del wwwoffled
fi

%files
%dir /var/spool/wwwoffle
%doc /var/spool/wwwoffle/html/
%dir /var/spool/wwwoffle/http
%dir /var/spool/wwwoffle/lasttime
%dir /var/spool/wwwoffle/monitor
%dir /var/spool/wwwoffle/outgoing
%doc README README.1st INSTALL NEWS ChangeLog
%doc README.CONF UPGRADE CHANGES.CONF
%doc README.htdig README.PWD COPYING FAQ
%doc CONVERT endian-cache
%config /etc/wwwoffle.conf
%config /etc/rc.d/init.d/wwwoffled
# %config(missingok) /etc/rc.d/rc0.d/K20wwwoffled
# %config(missingok) /etc/rc.d/rc1.d/K20wwwoffled
# %config(missingok) /etc/rc.d/rc6.d/K20wwwoffled
# %config(missingok) /etc/rc.d/rc2.d/S85wwwoffled
# %config(missingok) /etc/rc.d/rc3.d/S85wwwoffled
# %config(missingok) /etc/rc.d/rc4.d/S85wwwoffled
# %config(missingok) /etc/rc.d/rc5.d/S85wwwoffled
/usr/local/bin/wwwoffle
/usr/local/bin/wwwoffle-tools
/usr/local/bin/wwwoffle-ls
/usr/local/bin/wwwoffle-mv
/usr/local/bin/wwwoffle-rm
/usr/local/bin/wwwoffle-read
/usr/local/bin/wwwoffle-write
/usr/local/sbin/upgrade-cache
/usr/local/sbin/wwwoffled
%doc /usr/local/man/man1/wwwoffle.1
%doc /usr/local/man/man5/wwwoffle.conf.5
%doc /usr/local/man/man8/wwwoffled.8
 
# === End of File ===
